Skip to main content
`Ctrl`+`K`

# PetscSpacePolynomialGetTensor

Get whether a function space is a space of tensor polynomials.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpacePolynomialGetTensor(PetscSpace sp, PetscBool *tensor)

## Input Parameter

- sp - the function space object

## Output Parameter

- tensor - `PETSC_TRUE` for a tensor polynomial space, `PETSC_FALSE` for a polynomial space

## Notes

The space is a tensor space if it is spanned by polynomials whose degree in each variable is bounded by the given order, as opposed to the space spanned by polynomials whose total degree—summing over all variables—is bounded by the given order.

## See Also

`PetscSpace`, `PetscSpacePolynomialSetTensor()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/poly/spacepoly.c

## Implementations

PetscSpacePolynomialGetTensor_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpacePolynomialGetTensor_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages